module srisc1(clock,pc,data);
input clock;
output [7:0] pc;
output [31:0] data;

reg [7:0] pc;

// instantiate memory
inst inst_cache(
	.address(pc),
	.clock(clock),
	.q(data)
);

always @(posedge clock)
begin
	pc <= pc + 8'h01;
end

endmodule
